## org.omg.CORBA
Class TCKindHelper

    java.lang.Object
      |
      +--org.omg.CORBA.TCKindHelper

public class TCKindHelper
extends java.lang.Object

Helper class for : TCKind

Author:
  OpenORB Compiler

Constructor Summary
`TCKindHelper()`

Method Summary
`static TCKind` `extract(Any a)` Extract TCKind from an any
`static java.lang.String` `id()` Return the TCKind IDL ID
`static void` `insert(Any a, TCKind t)` Insert TCKind into an any
`static TCKind` `read(InputStream istream)` Read TCKind from a marshalled stream
`static TypeCode` `type()` Return the TCKind TypeCode
`static void` `write(OutputStream ostream, TCKind value)` Write TCKind into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TCKindHelper

    public TCKindHelper()

Method Detail

### insert

    public static void insert(Any a,
                              TCKind t)

  Insert TCKind into an any
  Parameters:
    `a` - an any
    `t` - TCKind value

### extract

    public static TCKind extract(Any a)

  Extract TCKind from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted TCKind value

### type

    public static TypeCode type()

  Return the TCKind TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the TCKind IDL ID
  Returns:
    an ID

### read

    public static TCKind read(InputStream istream)

  Read TCKind from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed TCKind value

### write

    public static void write(OutputStream ostream,
                             TCKind value)

  Write TCKind into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - TCKind value